Description: fix path to ironic-inspector-rootwrap
Author: Thomas Goirand <zigo@debian.org>
Forwarded: no
Last-Update: 2020-09-13

Index: ironic-inspector/ironic_inspector/pxe_filter/dnsmasq.py
===================================================================
--- ironic-inspector.orig/ironic_inspector/pxe_filter/dnsmasq.py
+++ ironic-inspector/ironic_inspector/pxe_filter/dnsmasq.py
@@ -45,7 +45,7 @@ LOG = log.getLogger(__name__)
 _EXCLUSIVE_WRITE_ATTEMPTS = 10
 _EXCLUSIVE_WRITE_ATTEMPTS_DELAY = 0.01
 
-_ROOTWRAP_COMMAND = 'sudo ironic-inspector-rootwrap {rootwrap_config!s}'
+_ROOTWRAP_COMMAND = 'sudo /usr/bin/ironic-inspector-rootwrap {rootwrap_config!s}'
 _MAC_DENY_LEN = len('ff:ff:ff:ff:ff:ff,ignore\n')
 _MAC_ALLOW_LEN = len('ff:ff:ff:ff:ff:ff\n')
 _UNKNOWN_HOSTS_FILE = 'unknown_hosts_filter'
Index: ironic-inspector/ironic_inspector/pxe_filter/iptables.py
===================================================================
--- ironic-inspector.orig/ironic_inspector/pxe_filter/iptables.py
+++ ironic-inspector/ironic_inspector/pxe_filter/iptables.py
@@ -57,7 +57,7 @@ class IptablesFilter(pxe_filter.BaseFilt
             self._cmd_iptables = 'ip6tables'
             self._dhcp_port = '547'
 
-        self.base_command = ('sudo', 'ironic-inspector-rootwrap',
+        self.base_command = ('sudo', '/usr/bin/ironic-inspector-rootwrap',
                              CONF.rootwrap_config, self._cmd_iptables)
 
     def reset(self):
Index: ironic-inspector/ironic_inspector/test/unit/test_iptables.py
===================================================================
--- ironic-inspector.orig/ironic_inspector/test/unit/test_iptables.py
+++ ironic-inspector/ironic_inspector/test/unit/test_iptables.py
@@ -72,7 +72,7 @@ class TestIptablesDriver(test_base.NodeT
         for (args, call) in zip(init_expected_args, call_args_list):
             self.assertEqual(args, call[0])
 
-        expected = ('sudo', 'ironic-inspector-rootwrap', CONF.rootwrap_config,
+        expected = ('sudo', '/usr/bin/ironic-inspector-rootwrap', CONF.rootwrap_config,
                     'iptables', '-w')
         self.assertEqual(expected, self.driver.base_command)
         self.check_fsm([pxe_filter.Events.initialize])
@@ -93,7 +93,7 @@ class TestIptablesDriver(test_base.NodeT
         for (args, call) in zip(init_expected_args, call_args_list):
             self.assertEqual(args, call[0])
 
-        expected = ('sudo', 'ironic-inspector-rootwrap', CONF.rootwrap_config,
+        expected = ('sudo', '/usr/bin/ironic-inspector-rootwrap', CONF.rootwrap_config,
                     'iptables',)
         self.assertEqual(expected, self.driver.base_command)
         self.check_fsm([pxe_filter.Events.initialize])
